/////////////////////////////////////////////////////////////////////////////
// Copyright 1996, by the California Institute of Technology.
// ALL RIGHTS RESERVED. United States Government Sponsorship
// acknowledged. Any commercial use must be negotiated with the
// Office of Technology Transfer at the California Institute of
// Technology. This software may be subject to U.S. export control
// laws and regulations. By accepting this software, the user
// agrees to comply with all applicable U.S. export laws and
// regulations. User has the responsibility to obtain export
// licenses, or other export authority as may be required before
// exporting such information to foreign countries or providing
// access to foreign persons.

// Author: Todd Karakashian, NASA/Jet Propulsion Laboratory
//         Todd.K.Karakashian@jpl.nasa.gov
//
// $RCSfile: HDFList.h,v $ - HDFList classs declaration
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _HDFLIST_H
#define _HDFLIST_H

// STL includes
#include <string>

// DODS includes
#include "List.h"

class HDFList: public List {
public:
    HDFList(const string &n = "", BaseType *v=0);
    virtual ~HDFList();
    virtual BaseType *ptr_duplicate();
    virtual bool read(const string &);
};

List *NewList(const string &n, BaseType *v);

typedef HDFList * HDFListPtr;

// $Log: HDFList.h,v $
// Revision 1.5.8.1  2003/05/21 16:26:52  edavis
// Updated/corrected copyright statements.
//
// Revision 1.5  2000/10/09 19:46:19  jimg
// Moved the CVS Log entries to the end of each file.
// Added code to catch Error objects thrown by the dap library.
// Changed the read() method's definition to match the dap library.
//
// Revision 1.4  1999/05/06 03:23:34  jimg
// Merged changes from no-gnu branch
//
// Revision 1.3.20.1  1999/05/06 00:27:22  jimg
// Jakes String --> string changes
//
// Revision 1.3  1997/03/10 22:45:32  jimg
// Update for 2.12
//
// Revision 1.3  1996/09/24 20:53:26  todd
// Added copyright and header.
//
//

#endif // _HDFLIST_H

